> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create recording storage integration

> Requires storage:write on the organization credential.



## OpenAPI

````yaml /openapi.json post /v1/storage-integrations/
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: >-
    Current public HTTP routes for the Leamout autonomous Voice Agent control
    plane. Configure your own SIP trunks and AI integrations.
servers:
  - url: https://api.leamout.com
    description: Leamout API
security: []
tags:
  - name: Voice Agents
  - name: AI Integrations
  - name: Agent Tools
  - name: Calls
  - name: SIP Trunks
  - name: Phone Numbers
  - name: Recordings
  - name: WebRTC
  - name: Webhooks
  - name: Commercial
  - name: Storage
  - name: Network policies
  - name: Retention policies
  - name: Audit events
paths:
  /v1/storage-integrations/:
    post:
      tags:
        - Storage
      summary: Create recording storage integration
      description: Requires storage:write on the organization credential.
      operationId: post_v1_storage_integrations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StorageIntegrationCreate'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope'
        default:
          description: Error response envelope
      security:
        - organizationToken: []
components:
  schemas:
    StorageIntegrationCreate:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 120
        endpoint_url:
          type: string
          format: uri
          description: Publicly routable HTTPS storage origin.
        region:
          type: string
          default: us-east-1
        bucket:
          type: string
        access_key_id:
          type: string
        secret_access_key:
          type: string
          format: password
          writeOnly: true
        use_path_style:
          type: boolean
          default: false
      required:
        - name
        - endpoint_url
        - bucket
        - access_key_id
        - secret_access_key
    SuccessEnvelope:
      type: object
      properties:
        success:
          type: boolean
          const: true
        data: {}
      required:
        - success
        - data
  securitySchemes:
    organizationToken:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: Scoped organization API token (lm_org_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.